## ros-indigo-cob-control-mode-adapter 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_control_mode_adapter)

find_package(catkin REQUIRED COMPONENTS controller_manager_msgs roscpp roslint std_msgs)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package()

### BUILD ###
include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(cob_control_mode_adapter_node src/cob_control_mode_adapter_node.cpp)
add_dependencies(cob_control_mode_adapter_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_control_mode_adapter_node ${catkin_LIBRARIES} ${Boost_LIBRARIES})

roslint_cpp()

### INSTALL ###
install(TARGETS cob_control_mode_adapter_node
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-control-mode-adapter (0.6.17-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.15-0trusty) trusty; urgency=high

  * Merge pull request #122 <https://github.com/ipa320/cob_control/issues/122> from ipa-fxm/indigo_roslint
    roslint some packages
  * update date
  * starting to roslint some packages
  * manually fix changelog
  * added params for mode switching controllers
  * Contributors: Felix Messmer, Mathias Lüdtke, Nadia Hammoudeh García, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.14-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.13-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.12-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.11-0trusty) trusty; urgency=high

  * remove support for interpol_position controller
  * fix mode adapter shutdown
  * fix typo
  * add joint_group_interpol_position_controller to control_mode_adapter
  * Contributors: Marco Bezzon, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.9-0trusty) trusty; urgency=high

  * more dependency fixes according to review comments
  * explicit dependency to boost
  * more fixes for migration afer merge
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * review dependencies
  * code styling cob_control_mode_adapter
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.8-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.7-0trusty) trusty; urgency=high

  * beautify CMakeLists
  * reduce output
  * check which controllers are available
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.6-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.5-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.4-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.3-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 15 Dec 2014 23:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.2-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * fix cppcheck errors
  * set default timeout for switching back to JTC to 0.3sec
  * uncommment non default controllers
  * moved and fixed switch log message
  * switched to enum instead of string
  * mutex/locks for thread safety
  * moved switch logic to update loop
  * init timestamps to zero instead of current time, prevent timing problems at start-up
  * Merge pull request #9 <https://github.com/ipa320/cob_control/issues/9> from thiagodefreitas/indigo_new_structure
    More detailed LOG information for the controllers switch
  * More detailed LOG information for the controllers switch
  * remove timeout and report with ROS_WARN
  * Merge pull request #4 <https://github.com/ipa320/cob_control/issues/4> from ipa-fxm/indigo_new_structure
    update dependencies
  * update dependencies
  * Merge pull request #3 <https://github.com/ipa320/cob_control/issues/3> from ipa-fxm/indigo_new_structure
    Indigo new structure
  * extend timeout
  * adapt namespaces for cartesian_controller to new structure
  * adapt control_mode_adapter to new structure
  * merge_cm
  * temporary commit
  * publish to JointGroup controllers
  * null-space syncMM
  * cleanup, restructure and fix
  * Contributors: Florian Weisshardt, Mathias Lüdtke, ipa-fmw, ipa-fxm, ipa-fxm-cm, thiagodefreitas

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.1-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.6.0-0trusty) trusty; urgency=high

  * resolve namespace problem with velocity controller topics hardware vs. simulation
  * resolve namespace problem of controller_manager hardware vs. simulation
  * new package cob_control_mode_adapter
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-control-mode-adapter (0.5.4-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 26 Aug 2014 08:26:00 -0000

ros-indigo-cob-control-mode-adapter (0.1.0-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 26 Aug 2014 08:23:00 -0000

=== debian/control ===
Source: ros-indigo-cob-control-mode-adapter
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-catkin, ros-indigo-controller-manager-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-control-mode-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-controller-manager-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-std-msgs
Description: The cob_control_mode_adapter package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-control-mode-adapter//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
